# eric4.QScintilla.APIsManager

Module implementing the APIsManager.

### Global Attributes

None

### Classes

APIs | Class implementing an API storage entity.
APIsManager | Class implementing the APIsManager class, which is the central store for API information used by autocompletion and calltips.

### Functions

None

## APIs

Class implementing an API storage entity.

### Signals

apiPreparationCancelled()
  emitted after the API preparation has been cancelled
apiPreparationFinished()
  emitted after the API preparation has finished
apiPreparationStarted()
  emitted after the API preparation has started

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

APIs | Constructor
__apiPreparationCancelled | Private method called, after the API preparation process has been cancelled.
__apiPreparationFinished | Private method called to save an API, after it has been prepared.
__apiPreparationStarted | Private method called, when the API preparation process started.
__defaultPreparedName | Private method returning the default name of a prepared API file.
__loadAPIs | Private method to load the APIs.
cancelPreparation | Public slot to cancel the APIs preparation.
getQsciAPIs | Public method to get a reference to QsciAPIs object.
installedAPIFiles | Public method to get a list of installed API files.
prepareAPIs | Public method to prepare the APIs if necessary.
reloadAPIs | Public method to reload the API information.

### Static Methods

None

#### APIs (Constructor)

APIs(language, forPreparation = False, parent = None)

Constructor

language
  language of the APIs object (string)
forPreparation
  flag indicating this object is just needed for a preparation process (boolean)
parent
  reference to the parent object (QObject)

#### APIs.__apiPreparationCancelled

__apiPreparationCancelled()

Private method called, after the API preparation process has been cancelled.

#### APIs.__apiPreparationFinished

__apiPreparationFinished()

Private method called to save an API, after it has been prepared.

#### APIs.__apiPreparationStarted

__apiPreparationStarted()

Private method called, when the API preparation process started.

#### APIs.__defaultPreparedName

__defaultPreparedName()

Private method returning the default name of a prepared API file.

Returns:
  complete filename for the Prepared APIs file (QString)

#### APIs.__loadAPIs

__loadAPIs()

Private method to load the APIs.

#### APIs.cancelPreparation

cancelPreparation()

Public slot to cancel the APIs preparation.

#### APIs.getQsciAPIs

getQsciAPIs()

Public method to get a reference to QsciAPIs object.

Returns:
  reference to the QsciAPIs object (QsciAPIs)

#### APIs.installedAPIFiles

installedAPIFiles()

Public method to get a list of installed API files.

Returns:
  list of installed API files (QStringList)

#### APIs.prepareAPIs

prepareAPIs(ondemand = False, rawList = None)

Public method to prepare the APIs if necessary.

ondemand=
  flag indicating a requested preparation (boolean)
rawList=
  list of raw API files (QStringList)

#### APIs.reloadAPIs

reloadAPIs()

Public method to reload the API information.

Up

## APIsManager

Class implementing the APIsManager class, which is the central store for API information used by autocompletion and calltips.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

APIsManager | Constructor
getAPIs | Public method to get an apis object for autocompletion/calltips.
reloadAPIs | Public slot to reload the api information.

### Static Methods

None

#### APIsManager (Constructor)

APIsManager(parent = None)

Constructor

parent
  reference to the parent object (QObject)

#### APIsManager.getAPIs

getAPIs(language, forPreparation = False)

Public method to get an apis object for autocompletion/calltips.

This method creates and loads an APIs object dynamically upon request. This saves memory for languages, that might not be needed at the moment.

language
  the language of the requested api object (string or QString)
forPreparation
  flag indicating the requested api object is just needed for a preparation process (boolean)

Returns:
  the apis object (APIs)

#### APIsManager.reloadAPIs

reloadAPIs()

Public slot to reload the api information.

Up